using AppliWebANA.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace AppliWebANA
{
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();
            GlobalConfiguration.Configure(WebApiConfig.Register);
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
			Compteurs.Initialiser();
        }

		protected void Session_Start() {
			Compteurs.VisiteDuNavigateurSurLaPageDesCompteurs = 0;
			Application.Lock();
			Compteurs.NbDeVisiteurs++;
			Application.UnLock();
			Compteurs.VisiteDeLUtilisateurSurLeSite++;
		}

		protected void Application_End() {
			Compteurs.Sauver();
		}
    }
}
